powered by Jive Software

Spark Upgrade Message

Ok Brainiacs, I have a quick question and hope that it will end with an easy solution. I customized my Spark client using the “Look and Feel” documentation that I found in the forums. I am also using the Spark Manager plugin on my server. Everything was working fine until I marked my custom Spark client as active in the Spark Manager, now a message randomly pops up asking if I want to upgrade my client to the new version, and it does not matter if I say yes and follow the upgrade process or if I saw now, it will always ask my clients if they want to upgrade. Has anyone seen this before after customizing? Or does anyone know any more about the upgrade process and how I can get this message to go away?

Thanks,

Derrick

Your version number is probably not registering correctly. If you are using the spark manager plugin to prevent upgrade notifications then I would download a much older version and publish it there. That way your clients always have a new version in theory.

Thanks for that…once I thought about your answer I decided that I dont have time to re-batch it and correct the version info so I simply moved my spark versions out of the Builds folder and took out that Spark Windows Client entry in the server properties. Whenever I decide to make a different or newer version I will just stick it back in there and let my clients update it. Hopefully I will have more time then to look into making the versions match. Thanks for getting my thought moving on this.

amazindb8882 wrote:

Ok Brainiacs, I have a quick question and hope that it will end with an easy solution. I customized my Spark client using the “Look and Feel” documentation that I found in the forums. I am also using the Spark Manager plugin on my server. Everything was working fine until I marked my custom Spark client as active in the Spark Manager, now a message randomly pops up asking if I want to upgrade my client to the new version, and it does not matter if I say yes and follow the upgrade process or if I saw now, it will always ask my clients if they want to upgrade. Has anyone seen this before after customizing? Or does anyone know any more about the upgrade process and how I can get this message to go away?

Did you follow these instructions in the Build a Branded/Skinned Version of Spark document?:

“If your custom application name has more than one word (such as WGU Messenger), then for the value of things like installer.app_short_name, SHORT_NAME, and file names use hyphens instead of spaces (such as WGU-Messenger). Do not use underscores, since that will break Openfire’s Spark updater service.